local modifier
local vector2 = require("#microsoft.xna.framework.vector2")
local coroutineEntity = monocle.Entity()

local function dash(xVector,yVector)
  player.OverrideDashDirection = vector2(xVector, yVector)
  helpers.setPlayerState (2)
  helpers.wait(0.6)
  helpers.setPlayerState (11)
  player.OverrideDashDirection = nil
end

function onBegin()
	makeUnskippable()
	disableRetry()
	disableMovement()
	disablePause()
	player.OverrideDashDirection = nil

	level = getLevel()
	player.ForceCameraUpdate = true
	level.CameraOffset = vector2(50, 0)

	wait(87.0)
	dash(1, 0)
end

function onEnd()
	enableRetry()
	enableMovement()
	enablePause()
end